package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.Project;
import com.lightinit.hsdatashow.entity.ProjectExample;
import java.util.List;

import com.lightinit.hsdatashow.model.admin.ChartModel;
import org.apache.ibatis.annotations.Param;

public interface ProjectMapper {
    long countByExample(ProjectExample example);

    int deleteByExample(ProjectExample example);

    int deleteByPrimaryKey(Long id);

    int insert(Project record);

    int insertSelective(Project record);

    List<Project> selectByExample(ProjectExample example);

    Project selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") Project record, @Param("example") ProjectExample example);

    int updateByExample(@Param("record") Project record, @Param("example") ProjectExample example);

    int updateByPrimaryKeySelective(Project record);

    int updateByPrimaryKey(Project record);

    List<ChartModel> getProjecIsModel();
}